Package com.studica.frc

## Class Servo

- java.lang.Object
- - edu.wpi.first.wpilibj.MotorSafety
  - - edu.wpi.first.wpilibj.PWM
    - - com.studica.frc.Servo

All Implemented Interfaces:
  `edu.wpi.first.wpilibj.Sendable`, `java.lang.AutoCloseable`

    public class Servo
    extends edu.wpi.first.wpilibj.PWM

### Nested Class Summary

### Nested classes/interfaces inherited from class edu.wpi.first.wpilibj.PWM

`edu.wpi.first.wpilibj.PWM.PeriodMultiplier`

### Field Summary

Fields
`protected static double` `kDefaultMaxServoPWM`
`protected static double` `kDefaultMinServoPWM`

### Constructor Summary

Constructors
`Servo​(int channel)` Constructor for Servo

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `get()` Gets the servo position
`double` `getAngle()` Gets the servo angle
`void` `initSendable​(edu.wpi.first.wpilibj.smartdashboard.SendableBuilder builder)`
`void` `set​(double value)` Sets the position of the servo
`void` `setAngle​(double degrees)` Sets the servo angle

### Methods inherited from class edu.wpi.first.wpilibj.PWM

`close, enableDeadbandElimination, getChannel, getDescription, getPosition, getRaw, getRawBounds, getSpeed, setBounds, setDisabled, setPeriodMultiplier, setPosition, setRaw, setSpeed, setZeroLatch, stopMotor`

### Methods inherited from class edu.wpi.first.wpilibj.MotorSafety

`check, checkMotors, feed, getExpiration, isAlive, isSafetyEnabled, setExpiration, setSafetyEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.wpi.first.wpilibj.Sendable

`addChild, getName, getSubsystem, setName, setName, setName, setName, setSubsystem`

### Field Detail

#### kDefaultMaxServoPWM

    protected static final double kDefaultMaxServoPWM

See Also:
  Constant Field Values

#### kDefaultMinServoPWM

    protected static final double kDefaultMinServoPWM

See Also:
  Constant Field Values

### Constructor Detail

#### Servo

    public Servo​(int channel)

Constructor for Servo

Parameters:
  `channel` - The channel that the servo is plugged into

### Method Detail

#### set

    public void set​(double value)

Sets the position of the servo

Parameters:
  `value` - Servo position value, range from 0.0 to 1.0

#### get

    public double get()

Gets the servo position

Returns:
  Position from 0.0 to 1.0

#### setAngle

    public void setAngle​(double degrees)

Sets the servo angle

Parameters:
  `degrees` - The angle in degrees to set the servo

#### getAngle

    public double getAngle()

Gets the servo angle

Returns:
  The angle in degrees to which the servo is set

#### initSendable

    public void initSendable​(edu.wpi.first.wpilibj.smartdashboard.SendableBuilder builder)

Specified by:
  `initSendable` in interface `edu.wpi.first.wpilibj.Sendable`
Overrides:
  `initSendable` in class `edu.wpi.first.wpilibj.PWM`